summaryrefslogtreecommitdiff
path: root/tests/misc/stty.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/stty.sh')
-rwxr-xr-xtests/misc/stty.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/tests/misc/stty.sh b/tests/misc/stty.sh
index 666ac0b26..88d5796cf 100755
--- a/tests/misc/stty.sh
+++ b/tests/misc/stty.sh
@@ -35,6 +35,9 @@ stty $(cat $saved_state) || fail=1
# This would segfault prior to sh-utils-2.0j.
stty erase - || fail=1
+# Ensure --immediate mode is supported
+stty -I erase - || fail=1
+
# These would improperly ignore invalid options through coreutils 5.2.1.
returns_ 1 stty -F 2>/dev/null || fail=1
returns_ 1 stty -raw -F no/such/file 2>/dev/null || fail=1